<?php

namespace Qls\QlsServicePoints\Setup;

use Magento\Framework\Setup\InstallSchemaInterface;
use Magento\Framework\Setup\ModuleContextInterface;
use Magento\Framework\Setup\SchemaSetupInterface;

/**
 * @codeCoverageIgnore
 */
class InstallSchema implements InstallSchemaInterface
{

    /**
     * {@inheritdoc}
     * @SuppressWarnings(PHPMD.ExcessiveMethodLength)
     */
    public function install(SchemaSetupInterface $setup, ModuleContextInterface $context)
    {
        $installer = $setup;
        $installer->startSetup();

        $installer->getConnection()->addColumn(
            $installer->getTable('quote'),
            'qls_servicepoint_code',
            [
                'type' => \Magento\Framework\DB\Ddl\Table::TYPE_TEXT,
                'length' => 100,
                'nullable' => true,
                'comment' => 'Qls Servicepoint Code',
            ]
        );

        $installer->getConnection()->addColumn(
            $installer->getTable('quote'),
            'qls_servicepoint_name',
            [
                'type' => \Magento\Framework\DB\Ddl\Table::TYPE_TEXT,
                'length' => 255,
                'nullable' => true,
                'comment' => 'Qls Servicepoint Name',
            ]
        );

        $installer->getConnection()->addColumn(
            $installer->getTable('sales_order'),
            'qls_servicepoint_code',
            [
                'type' => \Magento\Framework\DB\Ddl\Table::TYPE_TEXT,
                'length' => 100,
                'nullable' => true,
                'comment' => 'Qls Servicepoint Code',
            ]
        );


        $installer->getConnection()->addColumn(
            $installer->getTable('sales_order_grid'),
            'qls_servicepoint_code',
            [
                'type' => \Magento\Framework\DB\Ddl\Table::TYPE_TEXT,
                'length' => 100,
                'nullable' => true,
                'comment' => 'Qls Servicepoint Code',
            ]
        );

        $setup->endSetup();
    }
}
