<?php
namespace Qls\QlsServicePoints\Setup;

use Magento\Framework\Setup\UninstallInterface;

class UninstallSchema implements UninstallInterface
{

    /**
     * Invoked when remove-data flag is set during module uninstall.
     *
     * @param \Magento\Framework\Setup\SchemaSetupInterface $setup
     * @param \Magento\Framework\Setup\ModuleContextInterface $context
     * @return void
     */
    public function uninstall(\Magento\Framework\Setup\SchemaSetupInterface $setup, \Magento\Framework\Setup\ModuleContextInterface $context)
    {

        $installer = $setup;
        $installer->startSetup();

        $installer->getConnection()->dropColumn(
            $installer->getTable('quote'),
            'qls_servicepoint_code'
        );

        $installer->getConnection()->dropColumn(
            $installer->getTable('quote'),
            'qls_servicepoint_name'
        );

        $installer->getConnection()->dropColumn(
            $installer->getTable('sales_order'),
            'qls_servicepoint_code'
        );


        $installer->getConnection()->dropColumn(
            $installer->getTable('sales_order_grid'),
            'qls_servicepoint_code'
        );

        $setup->endSetup();


    }
}
